Subject: Re: bug#36061: Error when byte compiling

From: Robert Weiner <[email-masked]>
Date: Sat, 13 Jul 2019 16:12:35 -0400

Help me understand.  Why di you need to use Guix with Hyperbole rather than simply installing it from Elpa via the Emacs package manager.  Are you trying to create some form of distribution?

Happy it is running for you.  I just want to understand what the broader utility of this might be.

-- Bob

> On Jul 13, 2019, at 11:35 AM, LaFreniere, Joseph <[email-masked]> wrote:
> 
> I have attached a working patch to successfully build Hyperbole in Guix 1.0.1.
> 
> The notable changes are in the patch files my patch adds:
> - The definition of hyperbole-toggle-messaging is moved to  hsettings.el, which seems to be the only place in the Hyperbole  repo where that function is called.  This avoids the build error  I initially reported.
> - hyperb:check-dir-user fails during Guix's build process;  for  now, I have simply removed that check from the initialization  steps.
> 
> Now that Hyperbole is successfully building, I will start using it and report any bugs I encounter here.  Are there specific ramifications to either of these changes that you would recommend I look for?
> 
> --
> Joseph LaFreniere
> <0001-gnu-Add-emacs-hyperble.patch>